GenericGraphics
Date: 2019-10-22

org.jmol.api

## Interface GenericGraphics

- All Known Implementing Classes:
    AwtG2D, JsG2D

      public interface GenericGraphics

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDoLineTo()`
    `void` | `doStroke(java.lang.Object g, boolean isBegin)`
    `void` | `drawCircle(java.lang.Object g, int x, int y, int diameter)`
    `void` | `drawGrayScaleImage(java.lang.Object g, java.lang.Object image2D, int destX0, int destY0, int destX1, int destY1, int srcX0, int srcY0, int srcX1, int srcY1)`
    `void` | `drawLine(java.lang.Object g, int x0, int y0, int x1, int y1)`
    `void` | `drawPolygon(java.lang.Object g, int[] axPoints, int[] ayPoints, int nPoints)`
    `void` | `drawRect(java.lang.Object g, int xPixel, int yPixel, int xPixels, int yPixels)`
    `void` | `drawString(java.lang.Object g, java.lang.String s, int x, int y)`
    `void` | `drawStringRotated(java.lang.Object g, java.lang.String s, int x, int y, double angle)`
    `void` | `fillBackground(java.lang.Object g, javajs.api.GenericColor bgcolor)`
    `void` | `fillCircle(java.lang.Object g, int x, int y, int diameter)`
    `void` | `fillPolygon(java.lang.Object g, int[] ayPoints, int[] axPoints, int nPoints)`
    `void` | `fillRect(java.lang.Object g, int x, int y, int width, int height)`
    `javajs.api.GenericColor` | `getColor1(int argb)`
    `javajs.api.GenericColor` | `getColor3(int red, int green, int blue)`
    `javajs.api.GenericColor` | `getColor4(int r, int g, int b, int a)`
    `void` | `lineTo(java.lang.Object g, int x2, int y2)`
    `java.lang.Object` | `newGrayScaleImage(java.lang.Object g, java.lang.Object image, int width, int height, int[] buffer)`
    `Font` | `setFont(java.lang.Object g, Font font)`
    `void` | `setGraphicsColor(java.lang.Object g, javajs.api.GenericColor c)`
    `void` | `setStrokeBold(java.lang.Object g, boolean tf)`
    `void` | `setWindowParameters(int width, int height)`
    `void` | `translateScale(java.lang.Object g, double x, double y, double scale)`

- - ### Method Detail

    - #### getColor1

          javajs.api.GenericColor getColor1(int argb)

    - #### getColor3

          javajs.api.GenericColor getColor3(int red,
                                            int green,
                                            int blue)

    - #### getColor4

          javajs.api.GenericColor getColor4(int r,
                                            int g,
                                            int b,
                                            int a)

    - #### newGrayScaleImage

          java.lang.Object newGrayScaleImage(java.lang.Object g,
                                             java.lang.Object image,
                                             int width,
                                             int height,
                                             int[] buffer)

    - #### canDoLineTo

          boolean canDoLineTo()

    - #### doStroke

          void doStroke(java.lang.Object g,
                        boolean isBegin)

    - #### drawGrayScaleImage

          void drawGrayScaleImage(java.lang.Object g,
                                  java.lang.Object image2D,
                                  int destX0,
                                  int destY0,
                                  int destX1,
                                  int destY1,
                                  int srcX0,
                                  int srcY0,
                                  int srcX1,
                                  int srcY1)

    - #### drawLine

          void drawLine(java.lang.Object g,
                        int x0,
                        int y0,
                        int x1,
                        int y1)

    - #### drawCircle

          void drawCircle(java.lang.Object g,
                          int x,
                          int y,
                          int diameter)

    - #### drawPolygon

          void drawPolygon(java.lang.Object g,
                           int[] axPoints,
                           int[] ayPoints,
                           int nPoints)

    - #### drawRect

          void drawRect(java.lang.Object g,
                        int xPixel,
                        int yPixel,
                        int xPixels,
                        int yPixels)

    - #### drawString

          void drawString(java.lang.Object g,
                          java.lang.String s,
                          int x,
                          int y)

    - #### drawStringRotated

          void drawStringRotated(java.lang.Object g,
                                 java.lang.String s,
                                 int x,
                                 int y,
                                 double angle)

    - #### fillCircle

          void fillCircle(java.lang.Object g,
                          int x,
                          int y,
                          int diameter)

    - #### fillPolygon

          void fillPolygon(java.lang.Object g,
                           int[] ayPoints,
                           int[] axPoints,
                           int nPoints)

    - #### fillRect

          void fillRect(java.lang.Object g,
                        int x,
                        int y,
                        int width,
                        int height)

    - #### fillBackground

          void fillBackground(java.lang.Object g,
                              javajs.api.GenericColor bgcolor)

    - #### lineTo

          void lineTo(java.lang.Object g,
                      int x2,
                      int y2)

    - #### setGraphicsColor

          void setGraphicsColor(java.lang.Object g,
                                javajs.api.GenericColor c)

    - #### setFont

          Font setFont(java.lang.Object g,
                       Font font)

    - #### setStrokeBold

          void setStrokeBold(java.lang.Object g,
                             boolean tf)

    - #### translateScale

          void translateScale(java.lang.Object g,
                              double x,
                              double y,
                              double scale)

    - #### setWindowParameters

          void setWindowParameters(int width,
                                   int height)